import request from '@/utils/require'
import { irpt } from '@/api/index'

//接收页面列表
export function feiDivideDetails(data) {
    return request({
      url: `${irpt}/summary/feiDivideDetails`,
      method: 'post',
      data:data
    })
  }
//删除列表

export function delDivideDetails(data) {
    return request({
      url: `${irpt}/summary/delDivideDetails`,
      method: 'post',
      params:data
    })
  }
//生成汇总表调节/divided/findTiaoAllStatistics
export function findTiaoAllStatistics(data) {
    return request({
      url: `${irpt}/divided/findTiaoAllStatistics`,
      method: 'post',
      params:data
    })
}
//非调节---汇总表
export function findAllStatistics(data) {
    return request({
      url: `${irpt}/divided/findAllStatistics`,
      method: 'post',
      params:data
    })
}
//期末库存汇总合计
export function QmkcfindAll(data) {
    return request({
      url: `${irpt}/divided/findAll`,
      method: 'post',
      params:data
    })
}
//调节--分项表
export function findStatistics(data) {
    return request({
      url: `${irpt}/divided/findStatistics`,
      method: 'post',
      params:data
    })
}
//非调节--分项表
export function findFeiStatistics(data) {
    return request({
      url: `${irpt}/divided/findFeiStatistics`,
      method: 'post',
      params:data
    })
}
//保存
export function SumsetDetails(data) {
    return request({
      url: `${irpt}/summary/setDetails`,
      method: 'post',
      data:data
    })
}
//查看详情
export function createDetails(data) {
    return request({
      url: `${irpt}/summary/createDetails`,
      method: 'post',
      params:data
    })
}
//查看--汇总表详情
export function hzbseeCALL(data) {
    return request({
      url: `${irpt}/divided/seeCAll`,
      method: 'post',
      params:data
    })
}
export function fxbseeALL(data) {
    return request({
      url: `${irpt}/divided/seeAll`,
      method: 'post',
      params:data
    })
}

